This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490335 - Anaconda crash whilst try to add a partition
Anaconda crash whilst try to add a partition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
anaconda_trace_hash:12caabc7dd456072f...
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-15 09:02 EDT by Andrew Parker
Modified: 2009-03-17 12:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 12:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (128.21 KB, text/plain)
2009-03-15 09:02 EDT, Andrew Parker
no flags Details

  None (edit)
Description Andrew Parker 2009-03-15 09:02:34 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.29 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/parted/disk.py", line 177, in removePartition
    if self.__disk.remove_partition(partition.getPedPartition()):
  File "/usr/lib/anaconda/storage/partitioning.py", line 596, in allocatePartitions
    partedDisk.removePartition(_part.partedPartition)
  File "/usr/lib/anaconda/storage/partitioning.py", line 542, in doPartitioning
    allocatePartitions(disks, partitions)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1007, in refresh
    doPartitioning(self.storage)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1115, in editPartition
    if self.refresh(justRedraw=not actions):
  File "/usr/lib/anaconda/iw/partition_gui.py", line 964, in newCB
    self.editPartition(device, isNew=1)
PartedException: Assertion (part->part_list == NULL) at disk.c:1824 in function ped_disk_remove_partition() failed.
Comment 1 Andrew Parker 2009-03-15 09:02:39 EDT
Created attachment 335257 [details]
Attached traceback automatically from anaconda.
Comment 2 David Lehman 2009-03-17 12:56:27 EDT
This should be fixed in anaconda-11.5.0.31-1, which is in rawhide now. Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.